Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.facet.encoding
Class IntEncoderFilter

    java.lang.Object
      org.apache.lucene.facet.encoding.IntEncoder
          org.apache.lucene.facet.encoding.IntEncoderFilter

Direct Known Subclasses:
  DGapIntEncoder, SortingIntEncoder, UniqueValuesIntEncoder

    public abstract class IntEncoderFilter

extends IntEncoder

An abstract implementation of `IntEncoder` which wraps another encoder.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Field Summary
`protected IntEncoder` | `encoder`

Constructor Summary
`protected` | `IntEncoderFilter(IntEncoder encoder)`

Method Summary

Methods inherited from class org.apache.lucene.facet.encoding.IntEncoder
`createMatchingDecoder, encode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### encoder

    protected final IntEncoder encoder

Constructor Detail

### IntEncoderFilter

    protected IntEncoderFilter(IntEncoder encoder)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.